Holger's Java API

## com.antelmann.db
Interface PropertyEntry

All Superinterfaces:
  DBEntry, Serializable

All Known Subinterfaces:
  DocumentEntry

All Known Implementing Classes:
  BaseDocument, ContactImpl, DBDocument, DBDocument.Header, EntryHeader, GPerson, GPerson.Header, GUser, ImageURLEntry, ImageURLEntry.Thumbnail, PersonImpl, PropertyEntryImpl, PropertyEntryWithAddress, RowItem, SecureUserImpl, UserImpl

    public interface PropertyEntry

extends DBEntry

represents an entity that is specified by various properties that may flexibly change.

Author:
  Holger Antelmann
See Also:
  `DBClassStore`, `JPropertyEntryComponent`

Field Summary

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Method Summary
`Map<String,Object>` `getProperties()` returns an unmodifiable view of the map that represents the existing properties.
`Object` `getProperty(String key)` allows access to some property; may return null if not set
`Object` `removeProperty(String key)` removes the given key from the properties
`Object` `setProperty(String key, Object value)` edit/set a given property value based on the given key.

Methods inherited from interface com.antelmann.db.DBEntry
`getID`

Method Detail

### getProperty

    Object getProperty(String key)

  allows access to some property; may return null if not set

### setProperty

    Object setProperty(String key,
                       Object value)
                       throws IllegalArgumentException

  edit/set a given property value based on the given key. Note that null values are allowed as value, but not as key!

  Returns:
    the previous value of the given key or null if not previously set (or previously set to null)
  Throws:
    `IllegalArgumentException` - if the given key/value combination is not allowed on the given instance.

### removeProperty

    Object removeProperty(String key)
                          throws IllegalArgumentException

  removes the given key from the properties

  Returns:
    the previous value of the given key or null if previously unset
  Throws:
    `IllegalArgumentException` - if the given key cannot be removed on the given instance.

### getProperties

    Map<String,Object> getProperties()

  returns an unmodifiable view of the map that represents the existing properties. To alter the properties, use the other methods defined in this interface. Solely altering the properties through the other provided methods allows to register listeners that will notice changes in the properties.

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads